markdown ::ng-deep img {
  max-width: 100%;
  display: block;
  margin: 0 auto;
}

markdown ::ng-deep pre, markdown ::ng-deep code, markdown ::ng-deep p {
  white-space: pre-wrap;
  overflow-wrap: break-word;
}

markdown ::ng-deep {
  background-color: transparent;
}

/* removes padding and margin from the bottom of the form field to reduce bottom bar height */
/* TODO(mdc-migration): The following rule targets internal classes of form-field that may no longer apply for the MDC version. */
::ng-deep .mat-form-field-wrapper {
  padding: 0;
  margin: 0;
}

kypo-topology-graph {
  border: 1px solid gainsboro;
}

.topology-placeholder {
  border: 1px solid gainsboro;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  align-content: center;
}

.content {
  margin-top: 10px;
  display: flex;
  width: 90%;
  flex-direction: row;
}

.left-panel {
  width: 60%;
  display: flex;
  flex-direction: column;
  margin-right: 30px;
}

.right-panel {
  width: 40%;
  display: flex;
  flex-direction: row;
}

.passkey-input {
  display: flex;
  flex-direction: row;
  align-content: baseline;
  align-items: baseline;
  position: relative;
}

.submit-button {
  margin-left: 10px;
  align-self: center;
}

.ssh-button {
  display: flex;
  align-items: center;
}

.divider::after {
  content: '';
  position: absolute;
  border-left: 1px solid rgba(0,0,0,.12);
  right: -1vw;
  height: 100%;
}

mat-form-field {
  width: 230px;
}

/* (100vw - 100%) is used to account for scrollbar */
.controls {
  position: fixed;
  bottom: 0;
  left: 140px;
  z-index: 10;
  width: calc(100vw - (100vw - 100%) - 16px - 140px);
  padding: 8px;
}

button {
  height: fit-content;
}

.controls-container {
  height: fit-content;
  display: flex;
  flex-direction: row;
  justify-content: center;
  flex-wrap: wrap;
  gap: 2vw;
}

.controls-container.wrapped{
  height: fit-content;
  display: flex;
  flex-direction: row;
  justify-content: center;
  flex-wrap: wrap;
  gap: 1vw;
}

.passkey-ssh {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  width: fit-content;
  gap: 2vw;
}

.passkey-ssh.wrapped {
  flex-grow: 1;
  padding: 0 1vw;
  gap: 0.5vw;
}

.message {
  color: #999999;
  padding-left: 5px;
}

@media screen and (max-width: 1500px) {
  .content {
    flex-direction: column;
  }

  .left-panel {
    width: 100%;
    display: flex;
    flex-direction: column;
    margin-right: 0;
  }

  .right-panel {
    width: 100%;
    display: flex;
    flex-direction: row;
  }

}

/* Breakpoint based on sentinel layout (when navbar is hidden) */
@media(max-width: 748px ) {
  .controls {
    left: 0;
    width: calc(100vw - (100vw - 100%) - 16px);

  }
}

